## grep 3.11

=== debian/changelog ===
grep (3.11-3) unstable; urgency=medium

  * Add patch to remove generated files in clean target. Patch by Bas
    Couwenberg <sebastic@debian.org> (Closes: #1050294)

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue, 22 Aug 2023 14:49:07 -0300

grep (3.11-2) unstable; urgency=low

  * Add d/patches/grep-dirfd.patch to fix gnulib bug that produces an
    'Operation not supported' error when grep -r 100000+ files.
    Thanks to Vincent Lefèvre <vincent@vinc17.net>. (Closes: #1041588)
    - Include debian/tests/dirfd to test the fix.

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 21 Jul 2023 18:33:27 -0300

grep (3.11-1) unstable; urgency=low

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldoldstable)

  [ Santiago Ruano Rincón ]
  * New upstream version: 3.11
  * Remove no longer needed:
    upstream-0001-doc-improve-GREP_COLORS-doc-Bug-57696.patch
    1029235-grep-bug-backref-in-last-of-multiple-patterns.patch
  * Refresh 1019724-handle-backslash-warning.patch and XFAIL-test-regex.patch

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 17 Jul 2023 21:29:46 -0300

=== debian/control ===
Source: grep
Section: utils
Priority: required
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Uploaders: Santiago Ruano Rincón <santiago@debian.org>
Standards-Version: 4.6.1.1
Build-Depends: cdbs, debhelper (>= 10~), gettext, libpcre2-dev, quilt, texinfo
Homepage: https://www.gnu.org/software/grep/
Vcs-Git: https://salsa.debian.org/debian/grep.git
Vcs-Browser: https://salsa.debian.org/debian/grep

Package: grep
Architecture: any
Multi-Arch: foreign
Essential: yes
Pre-Depends: ${shlibs:Depends}
Depends: ${misc:Depends}
Conflicts: rgrep
Provides: rgrep
Description: GNU grep, egrep and fgrep
 'grep' is a utility to search for text in files; it can be used from the
 command line or in scripts.  Even if you don't want to use it, other packages
 on your system probably will.
 .
 The GNU family of grep utilities may be the "fastest grep in the west".
 GNU grep is based on a fast lazy-state deterministic matcher (about
 twice as fast as stock Unix egrep) hybridized with a Boyer-Moore-Gosper
 search for a fixed string that eliminates impossible text from being
 considered by the full regexp matcher without necessarily having to
 look at every character. The result is typically many times faster
 than Unix grep or egrep. (Regular expressions containing backreferencing
 will run more slowly, however.)

=== debian/tests/control ===
Tests: upstream-test-suite
Depends: @builddeps@, fakeroot, libpcre2-8-0, locales-all
# TODO: remove allow-stderr. For now it is needed since for being able
#       to ignore expensive checks and for ignore unavailable locale warnings.
Restrictions: allow-stderr

Tests: egrep-fgrep, stray-backlash-warn dirfd

## grep 3.12

=== debian/changelog ===
grep (3.12-1) unstable; urgency=low

  * Upload to unstable
  * Declare compliance with Standards-Version 4.7.2
  * Replace old FSF physical address with URL in GPL information

 -- Santiago Ruano Rincón <santiago@debian.org>  Sat, 27 Sep 2025 12:19:29 -0300

grep (3.12-1~exp2) experimental; urgency=medium

  * Directly install in /usr, and remove Build-Dep on dh-sequence-movetousr

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Mon, 22 Sep 2025 15:07:31 -0300

grep (3.12-1~exp1) experimental; urgency=medium

  * Prevent autopoint from running during autoreconf
  * New upstream version: 3.12
  * Wrap-and-sort debian/ with -ast
  * Remove no longer needed grep-dirfd.patch

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Sat, 20 Sep 2025 23:03:22 -0300

grep (3.11-4) unstable; urgency=low

  * Upload to unstable.
  * Move files to /usr for DEP17 (Closes: #1059755)

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 04 Jan 2024 06:56:48 -0500

grep (3.11-4~exp1) experimental; urgency=medium

  [ Gioele Barabucci ]
  * d/rules: Use debhelper 13 and standard dh sequence (Closes: #1053793)
  * Support <nodoc> build profile (Closes: #1053794)

  [ Santiago Ruano Rincón ]
  * Add dh-sequence-movetousr to Build-Depends. Thanks to Helmut Grohne

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 23 Nov 2023 15:55:09 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,14 @@
 Section: utils
 Priority: required
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
-Uploaders: Santiago Ruano Rincón <santiago@debian.org>
-Standards-Version: 4.6.1.1
-Build-Depends: cdbs, debhelper (>= 10~), gettext, libpcre2-dev, quilt, texinfo
+Uploaders:
+ Santiago Ruano Rincón <santiago@debian.org>,
+Standards-Version: 4.7.2
+Build-Depends:
+ debhelper-compat (=13),
+ gettext,
+ libpcre2-dev,
+ texinfo <!nodoc>,
 Homepage: https://www.gnu.org/software/grep/
 Vcs-Git: https://salsa.debian.org/debian/grep.git
 Vcs-Browser: https://salsa.debian.org/debian/grep
@@ -13,10 +18,14 @@
 Architecture: any
 Multi-Arch: foreign
 Essential: yes
-Pre-Depends: ${shlibs:Depends}
-Depends: ${misc:Depends}
-Conflicts: rgrep
-Provides: rgrep
+Pre-Depends:
+ ${shlibs:Depends},
+Depends:
+ ${misc:Depends},
+Conflicts:
+ rgrep,
+Provides:
+ rgrep,
 Description: GNU grep, egrep and fgrep
  'grep' is a utility to search for text in files; it can be used from the
  command line or in scripts.  Even if you don't want to use it, other packages

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

# Workaround from the nano package:
#   https://lists.nongnu.org/archive/html/nano-devel/2024-05/msg00017.html
# to avoid these errors:
# ...
# configure:9031: error: possibly undefined macro: gl_ANYTHREADLIB_EARLY
#      If this token and others are legitimate, please use m4_pattern_allow.
#      See the Autoconf documentation.
# configure:17568: error: possibly undefined macro: gl_PTHREADLIB
# configure:17681: error: possibly undefined macro: gl_WEAK_SYMBOLS
#configure:19621: error: possibly undefined macro: gl_TYPE_WINT_T_PREREQ
export AUTOPOINT := true

ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
export MAKEINFO = true
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -O3
export DEB_CPPFLAGS_MAINT_APPEND = -DHAVE_DYNAMIC_LIBPCRE
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

export LIBS=-Wl,--no-as-needed -ldl -Wl,--as-needed

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildopts.mk

USE_INCLUDED_REGEX = --without-included-regex
ifeq (musl,$(DEB_HOST_ARCH_LIBC))
	USE_INCLUDED_REGEX = --with-included-regex
endif

%:
	dh $@

override_dh_auto_clean:
	[ ! -f Makefile ] || dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure -- --exec-prefix=/usr $(USE_INCLUDED_REGEX)

=== debian/tests/control ===
Tests:
 upstream-test-suite,
Depends:
 fakeroot,
 libpcre2-8-0,
 locales-all,
 @builddeps@,
Restrictions:
 allow-stderr,

Tests:
 dirfd,
 egrep-fgrep,
 stray-backlash-warn,

=== debian/watch ===
version=4
opts="dversionmangle=s/\~dfsg//,pgpsigurlmangle=s/$/.sig/" \
	https://ftp.gnu.org/gnu/grep/grep-(.+)\.tar\.(?:gz|bz2|xz)

## grep ast-0.7.1

=== requirements.txt ===
tree-sitter-language-pack
pathspec
